%define upstream_name    Config-Model-Itself
%define upstream_version 1.245

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Edit and validate configuration models
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Config::Model) >= 2.30.0
BuildRequires: perl(Config::Model::TkUI) >= 1.210.0
BuildRequires: perl(Data::Compare)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
BuildRequires: perl(YAML::Any)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
The Config::Itself and its model files provide a model of Config:Model
(hence the Itself name).

Let's step back a little to explain. Any configuration data is, in essence,
structured data. This data could be stored in an XML file. A configuration
model is a way to describe the structure and relation of all items of a
configuration data set.

This configuration model is also expressed as structured data. This
structure data is structured and follow a set of rules which are described
for humans in the Config::Model manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

# skip tests, require a virtual frame buffer

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/config-model-edit
%{perl_vendorlib}/Config


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.245.0-4pclos2017
- rebuild against updates

